Subject: Re: change in behavior of make from 3.80 to 3.81
From: "John W. Eaton" <[email-masked]>
To: Joachim Achtzehnter <[email-masked]>
Cc: [email-masked]
Date: Tue, 15 Aug 2006 17:55:59 -0400

On 15-Aug-2006, Joachim Achtzehnter wrote:

| Free software is about collaboration of a community consisting of
| developers, users, documentation authors, testers, translators, etc. to a
| common good, namely the production of good software that serves the needs
| of that community.

In my view, people who are doing the work, whether that is writing
code, doing testing, writing documentation, or some other useful job,
are "developers".  Some users are "developers".  The ones that just
want something for nothing are not much help to me.

| A peculiar aspect of all-volunteer free software
| projects (some are wholly or partially funded where this can be different)
| is that nobody can force another member of the community to do something
| they don't want to do, so it is all based on persuasion and winning over
| others by argument.

In my experience, people who just want to persuade others to do work
for them without actually contributing any work back to a project are
not very helpful.  Ideas are easy to come by.  The work to implement
them is not.

| You make it appear as if a handful of developers are 
| making a contribution and everybody else is just getting a gratis
| benefit without contributing.

Again, my experience has been that this is generally the way things
work in free software projects.  A few people do almost all of the
work and a lot of others benefit without contributing.

| Clearly, developers make a huge contribution,
| nobody is denying this, but to suggest that *only* developers contribute
| and everybody else should therefore just shut up

I never said everyone else should "just shut up".  My point was that
if you aren't contributing in some way, then you shouldn't expect your
complaining to carry much weight.  The way to get things done is to do
the work, not just complain and hope that people do something for you.

| A healthy free software project 
| depends on and welcomes input from the community.

Sometimes, the input becomes annoying.  When this happens, do you
expect the people doing the work to just sit back and take it?

| The attitude exhibited by 
| some on this mailing list, of trying to muzzle opinions they disagree with, 
| does not help.

How are people on the mailing list being muzzled?  If that were the
case, then I would think there would have been a lot fewer messages
about this topic on the list.

Obligatory-make-behavior-content:

It seems there is really no need for this discussion now, as there are
several options available for someone willing to do the work:

  * Use the MinGW version of make to build your projects.

  * Patch your own version of GNU Make for Cygwin (I don't think that
    the patch used with the previous version is a secret).

  * Get the necessary changes adopted in the mainline GNU Make
    sources.

jwe

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/